devel/p5-MooX-TypeTiny - The NetBSD Packages Collection

Optimized type checks for Moo + Type::Tiny

This module optimizes Moo type checks when used with Type::Tiny to
perform better. It will automatically apply to isa checks and
coercions that use Type::Tiny. Non-Type::Tiny isa checks will work as
normal.

This is done by inlining the type check in a more optimal manner that
is specific to Type::Tiny rather than the general mechanism Moo
usually uses.

With this module, setters with type checks should be as fast as an
equivalent check in Moose.

It is hoped that eventually this type inlining will be done
automatically, making this module unnecessary.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/p5-Moo devel/p5-Type-Tiny lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-MooX-TypeTiny-0.002003.tgz
NetBSD 8.0earmv7hfp5-MooX-TypeTiny-0.001004.tgz
NetBSD 8.0earmv7hfp5-MooX-TypeTiny-0.002003.tgz
NetBSD 8.0i386p5-MooX-TypeTiny-0.001004.tgz
NetBSD 8.0i386p5-MooX-TypeTiny-0.002003.tgz
NetBSD 8.0i386p5-MooX-TypeTiny-0.002003.tgz
NetBSD 8.0powerpcp5-MooX-TypeTiny-0.002003.tgz
NetBSD 8.0powerpcp5-MooX-TypeTiny-0.002003.tgz
NetBSD 8.0powerpcp5-MooX-TypeTiny-0.002003.tgz
NetBSD 8.0x86_64p5-MooX-TypeTiny-0.002003.tgz
NetBSD 8.0x86_64p5-MooX-TypeTiny-0.001004.tgz
NetBSD 8.0x86_64p5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0aarch64p5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0aarch64p5-MooX-TypeTiny-0.001004.tgz
NetBSD 9.0aarch64p5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0aarch64p5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0alphap5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0alphap5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0alphap5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0earmp5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0earmp5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0earmp5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0earmv6hfp5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0earmv6hfp5-MooX-TypeTiny-0.001004.tgz
NetBSD 9.0earmv6hfp5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0earmv6hfp5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0earmv6hfp5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0earmv7hfp5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0earmv7hfp5-MooX-TypeTiny-0.001004.tgz
NetBSD 9.0earmv7hfp5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0earmv7hfp5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0earmv7hfp5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0i386p5-MooX-TypeTiny-0.001004.tgz
NetBSD 9.0i386p5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0i386p5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0mips64ebp5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0mips64ebp5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0mips64ebp5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0mipselp5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0mipselp5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0powerpcp5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0powerpcp5-MooX-TypeTiny-0.001004.tgz
NetBSD 9.0powerpcp5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0sh3elp5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0sh3elp5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0sparc64p5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0sparc64p5-MooX-TypeTiny-0.001004.tgz
NetBSD 9.0sparc64p5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0sparc64p5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0sparcp5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0sparcp5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0sparcp5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0vaxp5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0vaxp5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0x86_64p5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0x86_64p5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0x86_64p5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0x86_64p5-MooX-TypeTiny-0.001004.tgz
NetBSD 9.0x86_64p5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0x86_64p5-MooX-TypeTiny-0.002003.tgz
NetBSD 9.0x86_64p5-MooX-TypeTiny-0.002003.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.